/*****************************************************************************\
 *
 * unit1.h
 *
 * unit1 - header for launcher application
 *
 * Authors: Petr "Lamik" Vrba (xvrbap00 _AT stud.fit.vutbr.cz)
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, authors will kindly welcome
 * if you give them credit and keep their names with their source code,
 * but do not feel to be forced to do so.
 *
\*****************************************************************************/
//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TRadioButton *height_map;
  TRadioButton *universal_model;
  TEdit *seed_edit;
  TLabel *seed;
  TTrackBar *seed_track;
  TLabel *size;
  TEdit *size_edit;
  TTrackBar *size_track;
  TLabel *dimension;
  TEdit *dimension_edit;
  TTrackBar *dimension_track;
  TLabel *distance;
  TEdit *distance_edit;
  TTrackBar *distance_track;
  TLabel *filter;
  TEdit *filter_edit;
  TTrackBar *filter_track;
  TLabel *hq;
  TEdit *hq_edit;
  TTrackBar *hq_track;
  TButton *open_file;
  TOpenDialog *OpenDialog1;
  TComboBox *operation;
  TEdit *filename;
  TLabel *level;
  TEdit *level_edit;
  TTrackBar *level_track;
  TLabel *reduce;
  TEdit *reduce_edit;
  TTrackBar *reduce_track;
  TButton *run_btn;
  TButton *default_btn;
  TEdit *x1;
  TEdit *y1;
  TEdit *x2;
  TEdit *y2;
  TLabel *coords;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall seed_trackChange(TObject *Sender);
  void __fastcall size_trackChange(TObject *Sender);
  void __fastcall dimension_trackChange(TObject *Sender);
  void __fastcall distance_trackChange(TObject *Sender);
  void __fastcall filter_trackChange(TObject *Sender);
  void __fastcall hq_trackChange(TObject *Sender);
  void __fastcall open_fileClick(TObject *Sender);
  void __fastcall level_trackChange(TObject *Sender);
  void __fastcall reduce_trackChange(TObject *Sender);
  void __fastcall height_mapClick(TObject *Sender);
  void __fastcall universal_modelClick(TObject *Sender);
  void __fastcall default_btnClick(TObject *Sender);
  void __fastcall operationChange(TObject *Sender);
  void __fastcall run_btnClick(TObject *Sender);

private:	// User declarations
  void SetDefaultValues();
  void SetHMap();
  void SetModel();
  AnsiString startDir;
public:		// User declarations
  __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
